nxt

## Enum TransactionProcessor.Event

- java.lang.Object
- - java.lang.Enum<TransactionProcessor.Event>
  - - nxt.TransactionProcessor.Event

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TransactionProcessor.Event>
  Enclosing interface:
    TransactionProcessor

      public static enum TransactionProcessor.Event
      extends java.lang.Enum<TransactionProcessor.Event>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDED_CONFIRMED_TRANSACTIONS`
    `ADDED_UNCONFIRMED_TRANSACTIONS`
    `REJECT_PHASED_TRANSACTION`
    `RELEASE_PHASED_TRANSACTION`
    `REMOVED_UNCONFIRMED_TRANSACTIONS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransactionProcessor.Event` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TransactionProcessor.Event[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REMOVED_UNCONFIRMED_TRANSACTIONS

          public static final TransactionProcessor.Event REMOVED_UNCONFIRMED_TRANSACTIONS

    - #### ADDED_UNCONFIRMED_TRANSACTIONS

          public static final TransactionProcessor.Event ADDED_UNCONFIRMED_TRANSACTIONS

    - #### ADDED_CONFIRMED_TRANSACTIONS

          public static final TransactionProcessor.Event ADDED_CONFIRMED_TRANSACTIONS

    - #### RELEASE_PHASED_TRANSACTION

          public static final TransactionProcessor.Event RELEASE_PHASED_TRANSACTION

    - #### REJECT_PHASED_TRANSACTION

          public static final TransactionProcessor.Event REJECT_PHASED_TRANSACTION

  - ### Method Detail

    - #### values

          public static TransactionProcessor.Event[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransactionProcessor.Event c : TransactionProcessor.Event.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransactionProcessor.Event valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null